Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Data Mining Java API Reference 10g Release 2 (10.2) B14341-02
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.dmt.jdm.algorithm.kmeans
Class OraSplitCriterion

`java.lang.Object
javax.datamining.Enum
oracle.dmt.jdm.algorithm.kmeans.OraSplitCriterion`

All Implemented Interfaces:
  java.lang.Comparable, java.io.Serializable

public class OraSplitCriterion
extends javax.datamining.Enum

`OraKMeansSettings` supports specifying split criterion as an input. By default kMeans variance is used as the split criterion. This can be changed to kMeans size using `setSplitCriterion` extension method in `OraKMeansSettings`.

See Also:
  `OraKMeansSettings`, Serialized Form

Field Summary
`static OraSplitCriterion` | `clusterSize` Setting value representing size as the split criterion.
`static OraSplitCriterion` | `clusterVariance` Setting value representing variance as the split criterion.

Method Summary
`static void` | `addExtension(java.lang.String name)` Adds a vendor extension `name` to `OraSplitCriterion`.
`static OraSplitCriterion` | `valueOf(java.lang.String name)` Returns an instance of `OraSplitCriterion` corresponding to the specified name.
`static OraSplitCriterion[]` | `values()` Returns a list of all `OraSplitCriterion` enumerations defined.

Methods inherited from class javax.datamining.Enum
`compareTo, equals, name`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### clusterVariance

    public static final OraSplitCriterion clusterVariance

  Setting value representing variance as the split criterion.

### clusterSize

    public static final OraSplitCriterion clusterSize

  Setting value representing size as the split criterion.

Method Detail

### values

    public static OraSplitCriterion[] values()

  Returns a list of all `OraSplitCriterion` enumerations defined.
  Returns:
    `OraSplitCriterion[]`

### valueOf

    public static OraSplitCriterion valueOf(java.lang.String name)
                                     throws javax.datamining.JDMException

  Returns an instance of `OraSplitCriterion` corresponding to the specified name.
  Parameters:
    `name` - The name of the enumeration value
  Returns:
    `OraSplitCriterion` - The instance of the specified enumeration.
  Throws:
    `javax.datamining.JDMException` - When `name` is not valid.

### addExtension

    public static void addExtension(java.lang.String name)
                             throws javax.datamining.JDMException

  Adds a vendor extension `name` to `OraSplitCriterion`.
  Parameters:
    `name` - The name of the unique vendor extension
  Throws:
    `javax.datamining.JDMException` - When `name` is an invalid string or redundant to existing standard enums.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Data Mining Java API Reference 10g Release 2 (10.2) B14341-02
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005, Oracle. All rights reserved.